File:  [ELWIX - Embedded LightWeight unIX -] / embedaddon / mtr / Makefile.in
Revision 1.1.1.1 (vendor branch): download - view: text, annotated - select for diffs - revision graph
Sun Jul 21 23:43:42 2013 UTC (10 years, 11 months ago) by misho
Branches: mtr, elwix, MAIN
CVS tags: v0_85, HEAD
0.85

    1: # Makefile.in generated by automake 1.11.1 from Makefile.am.
    2: # @configure_input@
    3: 
    4: # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
    5: # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
    6: # Inc.
    7: # This Makefile.in is free software; the Free Software Foundation
    8: # gives unlimited permission to copy and/or distribute it,
    9: # with or without modifications, as long as this notice is preserved.
   10: 
   11: # This program is distributed in the hope that it will be useful,
   12: # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   13: # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   14: # PARTICULAR PURPOSE.
   15: 
   16: @SET_MAKE@
   17: 
   18: VPATH = @srcdir@
   19: pkgdatadir = $(datadir)/@PACKAGE@
   20: pkgincludedir = $(includedir)/@PACKAGE@
   21: pkglibdir = $(libdir)/@PACKAGE@
   22: pkglibexecdir = $(libexecdir)/@PACKAGE@
   23: am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   24: install_sh_DATA = $(install_sh) -c -m 644
   25: install_sh_PROGRAM = $(install_sh) -c
   26: install_sh_SCRIPT = $(install_sh) -c
   27: INSTALL_HEADER = $(INSTALL_DATA)
   28: transform = $(program_transform_name)
   29: NORMAL_INSTALL = :
   30: PRE_INSTALL = :
   31: POST_INSTALL = :
   32: NORMAL_UNINSTALL = :
   33: PRE_UNINSTALL = :
   34: POST_UNINSTALL = :
   35: sbin_PROGRAMS = mtr$(EXEEXT)
   36: @IPINFO_TRUE@am__append_1 = asn.c asn.h
   37: subdir = .
   38: DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
   39: 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
   40: 	$(srcdir)/version.h.in $(top_srcdir)/configure AUTHORS COPYING \
   41: 	NEWS TODO depcomp install-sh missing
   42: ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   43: am__aclocal_m4_deps = $(top_srcdir)/configure.ac
   44: am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   45: 	$(ACLOCAL_M4)
   46: am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   47:  configure.lineno config.status.lineno
   48: mkinstalldirs = $(install_sh) -d
   49: CONFIG_HEADER = config.h
   50: CONFIG_CLEAN_FILES = version.h.tmp
   51: CONFIG_CLEAN_VPATH_FILES =
   52: am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"
   53: PROGRAMS = $(sbin_PROGRAMS)
   54: am__mtr_SOURCES_DIST = mtr.c net.c net.h dns.c dns.h raw.c raw.h \
   55: 	split.c split.h display.c display.h report.c report.h getopt.c \
   56: 	getopt1.c getopt.h select.c select.h mtr-curses.h mtr-gtk.h \
   57: 	asn.c asn.h
   58: @IPINFO_TRUE@am__objects_1 = asn.$(OBJEXT)
   59: am_mtr_OBJECTS = mtr.$(OBJEXT) net.$(OBJEXT) dns.$(OBJEXT) \
   60: 	raw.$(OBJEXT) split.$(OBJEXT) display.$(OBJEXT) \
   61: 	report.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT) \
   62: 	select.$(OBJEXT) $(am__objects_1)
   63: nodist_mtr_OBJECTS =
   64: mtr_OBJECTS = $(am_mtr_OBJECTS) $(nodist_mtr_OBJECTS)
   65: am__DEPENDENCIES_1 =
   66: mtr_LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(mtr_LDFLAGS) $(LDFLAGS) -o \
   67: 	$@
   68: depcomp = $(SHELL) $(top_srcdir)/depcomp
   69: am__depfiles_maybe = depfiles
   70: am__mv = mv -f
   71: COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
   72: 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
   73: CCLD = $(CC)
   74: LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
   75: SOURCES = $(mtr_SOURCES) $(EXTRA_mtr_SOURCES) $(nodist_mtr_SOURCES)
   76: DIST_SOURCES = $(am__mtr_SOURCES_DIST) $(EXTRA_mtr_SOURCES)
   77: RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
   78: 	html-recursive info-recursive install-data-recursive \
   79: 	install-dvi-recursive install-exec-recursive \
   80: 	install-html-recursive install-info-recursive \
   81: 	install-pdf-recursive install-ps-recursive install-recursive \
   82: 	installcheck-recursive installdirs-recursive pdf-recursive \
   83: 	ps-recursive uninstall-recursive
   84: am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
   85: am__vpath_adj = case $$p in \
   86:     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
   87:     *) f=$$p;; \
   88:   esac;
   89: am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
   90: am__install_max = 40
   91: am__nobase_strip_setup = \
   92:   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
   93: am__nobase_strip = \
   94:   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
   95: am__nobase_list = $(am__nobase_strip_setup); \
   96:   for p in $$list; do echo "$$p $$p"; done | \
   97:   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
   98:   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
   99:     if (++n[$$2] == $(am__install_max)) \
  100:       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  101:     END { for (dir in files) print dir, files[dir] }'
  102: am__base_list = \
  103:   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  104:   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  105: man8dir = $(mandir)/man8
  106: NROFF = nroff
  107: MANS = $(man_MANS)
  108: RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  109:   distclean-recursive maintainer-clean-recursive
  110: AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
  111: 	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
  112: 	distdir dist dist-all distcheck
  113: ETAGS = etags
  114: CTAGS = ctags
  115: DIST_SUBDIRS = $(SUBDIRS)
  116: DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  117: distdir = $(PACKAGE)-$(VERSION)
  118: top_distdir = $(distdir)
  119: am__remove_distdir = \
  120:   { test ! -d "$(distdir)" \
  121:     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  122:          && rm -fr "$(distdir)"; }; }
  123: am__relativize = \
  124:   dir0=`pwd`; \
  125:   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  126:   sed_rest='s,^[^/]*/*,,'; \
  127:   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  128:   sed_butlast='s,/*[^/]*$$,,'; \
  129:   while test -n "$$dir1"; do \
  130:     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  131:     if test "$$first" != "."; then \
  132:       if test "$$first" = ".."; then \
  133:         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  134:         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  135:       else \
  136:         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  137:         if test "$$first2" = "$$first"; then \
  138:           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  139:         else \
  140:           dir2="../$$dir2"; \
  141:         fi; \
  142:         dir0="$$dir0"/"$$first"; \
  143:       fi; \
  144:     fi; \
  145:     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  146:   done; \
  147:   reldir="$$dir2"
  148: DIST_ARCHIVES = $(distdir).tar.gz
  149: GZIP_ENV = --best
  150: distuninstallcheck_listfiles = find . -type f -print
  151: distcleancheck_listfiles = find . -type f -print
  152: ACLOCAL = @ACLOCAL@
  153: AMTAR = @AMTAR@
  154: AUTOCONF = @AUTOCONF@
  155: AUTOHEADER = @AUTOHEADER@
  156: AUTOMAKE = @AUTOMAKE@
  157: AWK = @AWK@
  158: CC = @CC@
  159: CCDEPMODE = @CCDEPMODE@
  160: CFLAGS = @CFLAGS@
  161: CPP = @CPP@
  162: CPPFLAGS = @CPPFLAGS@
  163: CURSES_OBJ = @CURSES_OBJ@
  164: CYGPATH_W = @CYGPATH_W@
  165: DEFS = @DEFS@
  166: DEPDIR = @DEPDIR@
  167: ECHO_C = @ECHO_C@
  168: ECHO_N = @ECHO_N@
  169: ECHO_T = @ECHO_T@
  170: EGREP = @EGREP@
  171: EXEEXT = @EXEEXT@
  172: GLIB_CFLAGS = @GLIB_CFLAGS@
  173: GLIB_LIBS = @GLIB_LIBS@
  174: GREP = @GREP@
  175: GTK_CFLAGS = @GTK_CFLAGS@
  176: GTK_LIBS = @GTK_LIBS@
  177: GTK_OBJ = @GTK_OBJ@
  178: INSTALL = @INSTALL@
  179: INSTALL_DATA = @INSTALL_DATA@
  180: INSTALL_PROGRAM = @INSTALL_PROGRAM@
  181: INSTALL_SCRIPT = @INSTALL_SCRIPT@
  182: INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  183: LDFLAGS = @LDFLAGS@
  184: LIBOBJS = @LIBOBJS@
  185: LIBS = @LIBS@
  186: LTLIBOBJS = @LTLIBOBJS@
  187: MAKEINFO = @MAKEINFO@
  188: MKDIR_P = @MKDIR_P@
  189: OBJEXT = @OBJEXT@
  190: PACKAGE = @PACKAGE@
  191: PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  192: PACKAGE_NAME = @PACKAGE_NAME@
  193: PACKAGE_STRING = @PACKAGE_STRING@
  194: PACKAGE_TARNAME = @PACKAGE_TARNAME@
  195: PACKAGE_URL = @PACKAGE_URL@
  196: PACKAGE_VERSION = @PACKAGE_VERSION@
  197: PATH_SEPARATOR = @PATH_SEPARATOR@
  198: PKG_CONFIG = @PKG_CONFIG@
  199: PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  200: PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  201: RESOLV_LIBS = @RESOLV_LIBS@
  202: SET_MAKE = @SET_MAKE@
  203: SHELL = @SHELL@
  204: STRIP = @STRIP@
  205: VERSION = @VERSION@
  206: abs_builddir = @abs_builddir@
  207: abs_srcdir = @abs_srcdir@
  208: abs_top_builddir = @abs_top_builddir@
  209: abs_top_srcdir = @abs_top_srcdir@
  210: ac_ct_CC = @ac_ct_CC@
  211: am__include = @am__include@
  212: am__leading_dot = @am__leading_dot@
  213: am__quote = @am__quote@
  214: am__tar = @am__tar@
  215: am__untar = @am__untar@
  216: bindir = @bindir@
  217: build_alias = @build_alias@
  218: builddir = @builddir@
  219: datadir = @datadir@
  220: datarootdir = @datarootdir@
  221: docdir = @docdir@
  222: dvidir = @dvidir@
  223: exec_prefix = @exec_prefix@
  224: host_alias = @host_alias@
  225: htmldir = @htmldir@
  226: includedir = @includedir@
  227: infodir = @infodir@
  228: install_sh = @install_sh@
  229: libdir = @libdir@
  230: libexecdir = @libexecdir@
  231: localedir = @localedir@
  232: localstatedir = @localstatedir@
  233: mandir = @mandir@
  234: mkdir_p = @mkdir_p@
  235: oldincludedir = @oldincludedir@
  236: pdfdir = @pdfdir@
  237: prefix = @prefix@
  238: program_transform_name = @program_transform_name@
  239: psdir = @psdir@
  240: sbindir = @sbindir@
  241: sharedstatedir = @sharedstatedir@
  242: srcdir = @srcdir@
  243: sysconfdir = @sysconfdir@
  244: target_alias = @target_alias@
  245: top_build_prefix = @top_build_prefix@
  246: top_builddir = @top_builddir@
  247: top_srcdir = @top_srcdir@
  248: SUBDIRS = img
  249: man_MANS = mtr.8
  250: mtr_SOURCES = mtr.c net.c net.h dns.c dns.h raw.c raw.h split.c \
  251: 	split.h display.c display.h report.c report.h getopt.c \
  252: 	getopt1.c getopt.h select.c select.h mtr-curses.h mtr-gtk.h \
  253: 	$(am__append_1)
  254: nodist_mtr_SOURCES = version.h
  255: EXTRA_mtr_SOURCES = curses.c \
  256:                     gtk.c
  257: 
  258: DEFAULT_INCLUDES = $(GLIB_CFLAGS) -I.
  259: mtr_DEPENDENCIES = $(GTK_OBJ) $(CURSES_OBJ)
  260: mtr_LDFLAGS = $(GTK_OBJ) $(CURSES_OBJ)
  261: mtr_LDADD = $(GLIB_LIBS) $(RESOLV_LIBS)
  262: CLEANFILES = version.h
  263: BUILT_SOURCES = version.h
  264: EXTRA_DIST = SECURITY mtr.8 Makefile Makefile.dist
  265: DISTCLEANFILES = *~
  266: all: $(BUILT_SOURCES) config.h
  267: 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
  268: 
  269: .SUFFIXES:
  270: .SUFFIXES: .c .o .obj
  271: am--refresh:
  272: 	@:
  273: $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
  274: 	@for dep in $?; do \
  275: 	  case '$(am__configure_deps)' in \
  276: 	    *$$dep*) \
  277: 	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
  278: 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
  279: 		&& exit 0; \
  280: 	      exit 1;; \
  281: 	  esac; \
  282: 	done; \
  283: 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
  284: 	$(am__cd) $(top_srcdir) && \
  285: 	  $(AUTOMAKE) --foreign Makefile
  286: .PRECIOUS: Makefile
  287: Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  288: 	@case '$?' in \
  289: 	  *config.status*) \
  290: 	    echo ' $(SHELL) ./config.status'; \
  291: 	    $(SHELL) ./config.status;; \
  292: 	  *) \
  293: 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
  294: 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
  295: 	esac;
  296: 
  297: $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  298: 	$(SHELL) ./config.status --recheck
  299: 
  300: $(top_srcdir)/configure:  $(am__configure_deps)
  301: 	$(am__cd) $(srcdir) && $(AUTOCONF)
  302: $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
  303: 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  304: $(am__aclocal_m4_deps):
  305: 
  306: config.h: stamp-h1
  307: 	@if test ! -f $@; then \
  308: 	  rm -f stamp-h1; \
  309: 	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
  310: 	else :; fi
  311: 
  312: stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  313: 	@rm -f stamp-h1
  314: 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  315: $(srcdir)/config.h.in:  $(am__configure_deps) 
  316: 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  317: 	rm -f stamp-h1
  318: 	touch $@
  319: 
  320: distclean-hdr:
  321: 	-rm -f config.h stamp-h1
  322: version.h.tmp: $(top_builddir)/config.status $(srcdir)/version.h.in
  323: 	cd $(top_builddir) && $(SHELL) ./config.status $@
  324: install-sbinPROGRAMS: $(sbin_PROGRAMS)
  325: 	@$(NORMAL_INSTALL)
  326: 	test -z "$(sbindir)" || $(MKDIR_P) "$(DESTDIR)$(sbindir)"
  327: 	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  328: 	for p in $$list; do echo "$$p $$p"; done | \
  329: 	sed 's/$(EXEEXT)$$//' | \
  330: 	while read p p1; do if test -f $$p; \
  331: 	  then echo "$$p"; echo "$$p"; else :; fi; \
  332: 	done | \
  333: 	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
  334: 	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
  335: 	sed 'N;N;N;s,\n, ,g' | \
  336: 	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
  337: 	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
  338: 	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
  339: 	    else { print "f", $$3 "/" $$4, $$1; } } \
  340: 	  END { for (d in files) print "f", d, files[d] }' | \
  341: 	while read type dir files; do \
  342: 	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
  343: 	    test -z "$$files" || { \
  344: 	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
  345: 	      $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
  346: 	    } \
  347: 	; done
  348: 
  349: uninstall-sbinPROGRAMS:
  350: 	@$(NORMAL_UNINSTALL)
  351: 	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
  352: 	files=`for p in $$list; do echo "$$p"; done | \
  353: 	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
  354: 	      -e 's/$$/$(EXEEXT)/' `; \
  355: 	test -n "$$list" || exit 0; \
  356: 	echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
  357: 	cd "$(DESTDIR)$(sbindir)" && rm -f $$files
  358: 
  359: clean-sbinPROGRAMS:
  360: 	-test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
  361: mtr$(EXEEXT): $(mtr_OBJECTS) $(mtr_DEPENDENCIES) 
  362: 	@rm -f mtr$(EXEEXT)
  363: 	$(mtr_LINK) $(mtr_OBJECTS) $(mtr_LDADD) $(LIBS)
  364: 
  365: mostlyclean-compile:
  366: 	-rm -f *.$(OBJEXT)
  367: 
  368: distclean-compile:
  369: 	-rm -f *.tab.c
  370: 
  371: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/asn.Po@am__quote@
  372: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/curses.Po@am__quote@
  373: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/display.Po@am__quote@
  374: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dns.Po@am__quote@
  375: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt.Po@am__quote@
  376: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt1.Po@am__quote@
  377: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gtk.Po@am__quote@
  378: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mtr.Po@am__quote@
  379: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/net.Po@am__quote@
  380: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/raw.Po@am__quote@
  381: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/report.Po@am__quote@
  382: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/select.Po@am__quote@
  383: @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/split.Po@am__quote@
  384: 
  385: .c.o:
  386: @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  387: @am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  388: @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  389: @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  390: @am__fastdepCC_FALSE@	$(COMPILE) -c $<
  391: 
  392: .c.obj:
  393: @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  394: @am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  395: @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  396: @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  397: @am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
  398: install-man8: $(man_MANS)
  399: 	@$(NORMAL_INSTALL)
  400: 	test -z "$(man8dir)" || $(MKDIR_P) "$(DESTDIR)$(man8dir)"
  401: 	@list=''; test -n "$(man8dir)" || exit 0; \
  402: 	{ for i in $$list; do echo "$$i"; done; \
  403: 	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  404: 	  sed -n '/\.8[a-z]*$$/p'; \
  405: 	} | while read p; do \
  406: 	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  407: 	  echo "$$d$$p"; echo "$$p"; \
  408: 	done | \
  409: 	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  410: 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  411: 	sed 'N;N;s,\n, ,g' | { \
  412: 	list=; while read file base inst; do \
  413: 	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  414: 	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  415: 	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  416: 	  fi; \
  417: 	done; \
  418: 	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  419: 	while read files; do \
  420: 	  test -z "$$files" || { \
  421: 	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  422: 	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  423: 	done; }
  424: 
  425: uninstall-man8:
  426: 	@$(NORMAL_UNINSTALL)
  427: 	@list=''; test -n "$(man8dir)" || exit 0; \
  428: 	files=`{ for i in $$list; do echo "$$i"; done; \
  429: 	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  430: 	  sed -n '/\.8[a-z]*$$/p'; \
  431: 	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  432: 	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  433: 	test -z "$$files" || { \
  434: 	  echo " ( cd '$(DESTDIR)$(man8dir)' && rm -f" $$files ")"; \
  435: 	  cd "$(DESTDIR)$(man8dir)" && rm -f $$files; }
  436: 
  437: # This directory's subdirectories are mostly independent; you can cd
  438: # into them and run `make' without going through this Makefile.
  439: # To change the values of `make' variables: instead of editing Makefiles,
  440: # (1) if the variable is set in `config.status', edit `config.status'
  441: #     (which will cause the Makefiles to be regenerated when you run `make');
  442: # (2) otherwise, pass the desired values on the `make' command line.
  443: $(RECURSIVE_TARGETS):
  444: 	@fail= failcom='exit 1'; \
  445: 	for f in x $$MAKEFLAGS; do \
  446: 	  case $$f in \
  447: 	    *=* | --[!k]*);; \
  448: 	    *k*) failcom='fail=yes';; \
  449: 	  esac; \
  450: 	done; \
  451: 	dot_seen=no; \
  452: 	target=`echo $@ | sed s/-recursive//`; \
  453: 	list='$(SUBDIRS)'; for subdir in $$list; do \
  454: 	  echo "Making $$target in $$subdir"; \
  455: 	  if test "$$subdir" = "."; then \
  456: 	    dot_seen=yes; \
  457: 	    local_target="$$target-am"; \
  458: 	  else \
  459: 	    local_target="$$target"; \
  460: 	  fi; \
  461: 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  462: 	  || eval $$failcom; \
  463: 	done; \
  464: 	if test "$$dot_seen" = "no"; then \
  465: 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  466: 	fi; test -z "$$fail"
  467: 
  468: $(RECURSIVE_CLEAN_TARGETS):
  469: 	@fail= failcom='exit 1'; \
  470: 	for f in x $$MAKEFLAGS; do \
  471: 	  case $$f in \
  472: 	    *=* | --[!k]*);; \
  473: 	    *k*) failcom='fail=yes';; \
  474: 	  esac; \
  475: 	done; \
  476: 	dot_seen=no; \
  477: 	case "$@" in \
  478: 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  479: 	  *) list='$(SUBDIRS)' ;; \
  480: 	esac; \
  481: 	rev=''; for subdir in $$list; do \
  482: 	  if test "$$subdir" = "."; then :; else \
  483: 	    rev="$$subdir $$rev"; \
  484: 	  fi; \
  485: 	done; \
  486: 	rev="$$rev ."; \
  487: 	target=`echo $@ | sed s/-recursive//`; \
  488: 	for subdir in $$rev; do \
  489: 	  echo "Making $$target in $$subdir"; \
  490: 	  if test "$$subdir" = "."; then \
  491: 	    local_target="$$target-am"; \
  492: 	  else \
  493: 	    local_target="$$target"; \
  494: 	  fi; \
  495: 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  496: 	  || eval $$failcom; \
  497: 	done && test -z "$$fail"
  498: tags-recursive:
  499: 	list='$(SUBDIRS)'; for subdir in $$list; do \
  500: 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
  501: 	done
  502: ctags-recursive:
  503: 	list='$(SUBDIRS)'; for subdir in $$list; do \
  504: 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
  505: 	done
  506: 
  507: ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  508: 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  509: 	unique=`for i in $$list; do \
  510: 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  511: 	  done | \
  512: 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  513: 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  514: 	mkid -fID $$unique
  515: tags: TAGS
  516: 
  517: TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  518: 		$(TAGS_FILES) $(LISP)
  519: 	set x; \
  520: 	here=`pwd`; \
  521: 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  522: 	  include_option=--etags-include; \
  523: 	  empty_fix=.; \
  524: 	else \
  525: 	  include_option=--include; \
  526: 	  empty_fix=; \
  527: 	fi; \
  528: 	list='$(SUBDIRS)'; for subdir in $$list; do \
  529: 	  if test "$$subdir" = .; then :; else \
  530: 	    test ! -f $$subdir/TAGS || \
  531: 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  532: 	  fi; \
  533: 	done; \
  534: 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  535: 	unique=`for i in $$list; do \
  536: 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  537: 	  done | \
  538: 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  539: 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  540: 	shift; \
  541: 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  542: 	  test -n "$$unique" || unique=$$empty_fix; \
  543: 	  if test $$# -gt 0; then \
  544: 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  545: 	      "$$@" $$unique; \
  546: 	  else \
  547: 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  548: 	      $$unique; \
  549: 	  fi; \
  550: 	fi
  551: ctags: CTAGS
  552: CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
  553: 		$(TAGS_FILES) $(LISP)
  554: 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
  555: 	unique=`for i in $$list; do \
  556: 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  557: 	  done | \
  558: 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
  559: 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
  560: 	test -z "$(CTAGS_ARGS)$$unique" \
  561: 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  562: 	     $$unique
  563: 
  564: GTAGS:
  565: 	here=`$(am__cd) $(top_builddir) && pwd` \
  566: 	  && $(am__cd) $(top_srcdir) \
  567: 	  && gtags -i $(GTAGS_ARGS) "$$here"
  568: 
  569: distclean-tags:
  570: 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  571: 
  572: distdir: $(DISTFILES)
  573: 	@list='$(MANS)'; if test -n "$$list"; then \
  574: 	  list=`for p in $$list; do \
  575: 	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  576: 	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
  577: 	  if test -n "$$list" && \
  578: 	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
  579: 	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
  580: 	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
  581: 	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
  582: 	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
  583: 	    exit 1; \
  584: 	  else :; fi; \
  585: 	else :; fi
  586: 	$(am__remove_distdir)
  587: 	test -d "$(distdir)" || mkdir "$(distdir)"
  588: 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  589: 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  590: 	list='$(DISTFILES)'; \
  591: 	  dist_files=`for file in $$list; do echo $$file; done | \
  592: 	  sed -e "s|^$$srcdirstrip/||;t" \
  593: 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  594: 	case $$dist_files in \
  595: 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  596: 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  597: 			   sort -u` ;; \
  598: 	esac; \
  599: 	for file in $$dist_files; do \
  600: 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  601: 	  if test -d $$d/$$file; then \
  602: 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  603: 	    if test -d "$(distdir)/$$file"; then \
  604: 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  605: 	    fi; \
  606: 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  607: 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  608: 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  609: 	    fi; \
  610: 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  611: 	  else \
  612: 	    test -f "$(distdir)/$$file" \
  613: 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  614: 	    || exit 1; \
  615: 	  fi; \
  616: 	done
  617: 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  618: 	  if test "$$subdir" = .; then :; else \
  619: 	    test -d "$(distdir)/$$subdir" \
  620: 	    || $(MKDIR_P) "$(distdir)/$$subdir" \
  621: 	    || exit 1; \
  622: 	  fi; \
  623: 	done
  624: 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  625: 	  if test "$$subdir" = .; then :; else \
  626: 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  627: 	    $(am__relativize); \
  628: 	    new_distdir=$$reldir; \
  629: 	    dir1=$$subdir; dir2="$(top_distdir)"; \
  630: 	    $(am__relativize); \
  631: 	    new_top_distdir=$$reldir; \
  632: 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  633: 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  634: 	    ($(am__cd) $$subdir && \
  635: 	      $(MAKE) $(AM_MAKEFLAGS) \
  636: 	        top_distdir="$$new_top_distdir" \
  637: 	        distdir="$$new_distdir" \
  638: 		am__remove_distdir=: \
  639: 		am__skip_length_check=: \
  640: 		am__skip_mode_fix=: \
  641: 	        distdir) \
  642: 	      || exit 1; \
  643: 	  fi; \
  644: 	done
  645: 	-test -n "$(am__skip_mode_fix)" \
  646: 	|| find "$(distdir)" -type d ! -perm -755 \
  647: 		-exec chmod u+rwx,go+rx {} \; -o \
  648: 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  649: 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  650: 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  651: 	|| chmod -R a+r "$(distdir)"
  652: dist-gzip: distdir
  653: 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  654: 	$(am__remove_distdir)
  655: 
  656: dist-bzip2: distdir
  657: 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
  658: 	$(am__remove_distdir)
  659: 
  660: dist-lzma: distdir
  661: 	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
  662: 	$(am__remove_distdir)
  663: 
  664: dist-xz: distdir
  665: 	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
  666: 	$(am__remove_distdir)
  667: 
  668: dist-tarZ: distdir
  669: 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  670: 	$(am__remove_distdir)
  671: 
  672: dist-shar: distdir
  673: 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
  674: 	$(am__remove_distdir)
  675: 
  676: dist-zip: distdir
  677: 	-rm -f $(distdir).zip
  678: 	zip -rq $(distdir).zip $(distdir)
  679: 	$(am__remove_distdir)
  680: 
  681: dist dist-all: distdir
  682: 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
  683: 	$(am__remove_distdir)
  684: 
  685: # This target untars the dist file and tries a VPATH configuration.  Then
  686: # it guarantees that the distribution is self-contained by making another
  687: # tarfile.
  688: distcheck: dist
  689: 	case '$(DIST_ARCHIVES)' in \
  690: 	*.tar.gz*) \
  691: 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
  692: 	*.tar.bz2*) \
  693: 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  694: 	*.tar.lzma*) \
  695: 	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
  696: 	*.tar.xz*) \
  697: 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  698: 	*.tar.Z*) \
  699: 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  700: 	*.shar.gz*) \
  701: 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
  702: 	*.zip*) \
  703: 	  unzip $(distdir).zip ;;\
  704: 	esac
  705: 	chmod -R a-w $(distdir); chmod a+w $(distdir)
  706: 	mkdir $(distdir)/_build
  707: 	mkdir $(distdir)/_inst
  708: 	chmod a-w $(distdir)
  709: 	test -d $(distdir)/_build || exit 0; \
  710: 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  711: 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  712: 	  && am__cwd=`pwd` \
  713: 	  && $(am__cd) $(distdir)/_build \
  714: 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
  715: 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  716: 	  && $(MAKE) $(AM_MAKEFLAGS) \
  717: 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  718: 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  719: 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  720: 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  721: 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  722: 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  723: 	        distuninstallcheck \
  724: 	  && chmod -R a-w "$$dc_install_base" \
  725: 	  && ({ \
  726: 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  727: 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  728: 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  729: 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  730: 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  731: 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  732: 	  && rm -rf "$$dc_destdir" \
  733: 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  734: 	  && rm -rf $(DIST_ARCHIVES) \
  735: 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  736: 	  && cd "$$am__cwd" \
  737: 	  || exit 1
  738: 	$(am__remove_distdir)
  739: 	@(echo "$(distdir) archives ready for distribution: "; \
  740: 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  741: 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  742: distuninstallcheck:
  743: 	@$(am__cd) '$(distuninstallcheck_dir)' \
  744: 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
  745: 	   || { echo "ERROR: files left after uninstall:" ; \
  746: 	        if test -n "$(DESTDIR)"; then \
  747: 	          echo "  (check DESTDIR support)"; \
  748: 	        fi ; \
  749: 	        $(distuninstallcheck_listfiles) ; \
  750: 	        exit 1; } >&2
  751: distcleancheck: distclean
  752: 	@if test '$(srcdir)' = . ; then \
  753: 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  754: 	  exit 1 ; \
  755: 	fi
  756: 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  757: 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  758: 	       $(distcleancheck_listfiles) ; \
  759: 	       exit 1; } >&2
  760: check-am: all-am
  761: check: $(BUILT_SOURCES)
  762: 	$(MAKE) $(AM_MAKEFLAGS) check-recursive
  763: all-am: Makefile $(PROGRAMS) $(MANS) config.h
  764: installdirs: installdirs-recursive
  765: installdirs-am:
  766: 	for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"; do \
  767: 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  768: 	done
  769: install: $(BUILT_SOURCES)
  770: 	$(MAKE) $(AM_MAKEFLAGS) install-recursive
  771: install-exec: install-exec-recursive
  772: install-data: install-data-recursive
  773: uninstall: uninstall-recursive
  774: 
  775: install-am: all-am
  776: 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  777: 
  778: installcheck: installcheck-recursive
  779: install-strip:
  780: 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  781: 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  782: 	  `test -z '$(STRIP)' || \
  783: 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  784: mostlyclean-generic:
  785: 
  786: clean-generic:
  787: 	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  788: 
  789: distclean-generic:
  790: 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  791: 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  792: 	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
  793: 
  794: maintainer-clean-generic:
  795: 	@echo "This command is intended for maintainers to use"
  796: 	@echo "it deletes files that may require special tools to rebuild."
  797: 	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
  798: clean: clean-recursive
  799: 
  800: clean-am: clean-generic clean-sbinPROGRAMS mostlyclean-am
  801: 
  802: distclean: distclean-recursive
  803: 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  804: 	-rm -rf ./$(DEPDIR)
  805: 	-rm -f Makefile
  806: distclean-am: clean-am distclean-compile distclean-generic \
  807: 	distclean-hdr distclean-local distclean-tags
  808: 
  809: dvi: dvi-recursive
  810: 
  811: dvi-am:
  812: 
  813: html: html-recursive
  814: 
  815: html-am:
  816: 
  817: info: info-recursive
  818: 
  819: info-am:
  820: 
  821: install-data-am: install-man
  822: 
  823: install-dvi: install-dvi-recursive
  824: 
  825: install-dvi-am:
  826: 
  827: install-exec-am: install-sbinPROGRAMS
  828: 	@$(NORMAL_INSTALL)
  829: 	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
  830: install-html: install-html-recursive
  831: 
  832: install-html-am:
  833: 
  834: install-info: install-info-recursive
  835: 
  836: install-info-am:
  837: 
  838: install-man: install-man8
  839: 
  840: install-pdf: install-pdf-recursive
  841: 
  842: install-pdf-am:
  843: 
  844: install-ps: install-ps-recursive
  845: 
  846: install-ps-am:
  847: 
  848: installcheck-am:
  849: 
  850: maintainer-clean: maintainer-clean-recursive
  851: 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  852: 	-rm -rf $(top_srcdir)/autom4te.cache
  853: 	-rm -rf ./$(DEPDIR)
  854: 	-rm -f Makefile
  855: maintainer-clean-am: distclean-am maintainer-clean-generic
  856: 
  857: mostlyclean: mostlyclean-recursive
  858: 
  859: mostlyclean-am: mostlyclean-compile mostlyclean-generic
  860: 
  861: pdf: pdf-recursive
  862: 
  863: pdf-am:
  864: 
  865: ps: ps-recursive
  866: 
  867: ps-am:
  868: 
  869: uninstall-am: uninstall-man uninstall-sbinPROGRAMS
  870: 
  871: uninstall-man: uninstall-man8
  872: 
  873: .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all check \
  874: 	ctags-recursive install install-am install-exec-am \
  875: 	install-strip tags-recursive
  876: 
  877: .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
  878: 	all all-am am--refresh check check-am clean clean-generic \
  879: 	clean-sbinPROGRAMS ctags ctags-recursive dist dist-all \
  880: 	dist-bzip2 dist-gzip dist-lzma dist-shar dist-tarZ dist-xz \
  881: 	dist-zip distcheck distclean distclean-compile \
  882: 	distclean-generic distclean-hdr distclean-local distclean-tags \
  883: 	distcleancheck distdir distuninstallcheck dvi dvi-am html \
  884: 	html-am info info-am install install-am install-data \
  885: 	install-data-am install-dvi install-dvi-am install-exec \
  886: 	install-exec-am install-exec-hook install-html install-html-am \
  887: 	install-info install-info-am install-man install-man8 \
  888: 	install-pdf install-pdf-am install-ps install-ps-am \
  889: 	install-sbinPROGRAMS install-strip installcheck \
  890: 	installcheck-am installdirs installdirs-am maintainer-clean \
  891: 	maintainer-clean-generic mostlyclean mostlyclean-compile \
  892: 	mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
  893: 	uninstall uninstall-am uninstall-man uninstall-man8 \
  894: 	uninstall-sbinPROGRAMS
  895: 
  896: install-exec-hook: 
  897: 	chmod u+s $(DESTDIR)$(sbindir)/mtr
  898: 
  899: version.h: version.h.tmp Makefile $(mtr_SOURCES)
  900: 	@cat version.h.tmp > $@; \
  901: 	if [ -d .git ] && [ -n "$$(which git)" ]; then \
  902: 	  xver="+git:$$(git rev-list -n1 --abbrev=8 --abbrev-commit HEAD)"; \
  903: 	  sed \
  904: 	    -e "/#define *MTR_VERSION */{s/\"\([^\"]*\)\"/\"\1$$xver\"/;}" \
  905: 	    version.h.tmp > $@; \
  906: 	fi;
  907: distclean-local:
  908: 	(sleep 3; cp Makefile.dist Makefile) &
  909: 	rm -f *.orig
  910: 
  911: # Tell versions [3.59,3.63) of GNU make to not export all variables.
  912: # Otherwise a system limit (for SysV at least) may be exceeded.
  913: .NOEXPORT:

FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>